diff --git a/.gitignore b/.gitignore
index 8023638..5f9da8c 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,4 +1,5 @@
 .DS_Store
+**/.DS_Store
 /vendor
 /node_modules
 Homestead.yaml
diff --git a/_ide_helper.php b/_ide_helper.php
index b307038..8aa4dcb 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -1,7 +1,7 @@
 <?php
 /**
  * A helper file for Laravel 5, to provide autocomplete information to your IDE
- * Generated for Laravel 5.3.9 on 2016-09-17.
+ * Generated for Laravel 5.2.23 on 2016-03-14.
  *
  * @author Barry vd. Heuvel <barryvdh@gmail.com>
  * @see https://github.com/barryvdh/laravel-ide-helper
@@ -192,16 +192,6 @@ namespace {
         }
         
         /**
-         * Get the path to the resources directory.
-         *
-         * @return string 
-         * @static 
-         */
-        public static function resourcePath(){
-            return \Illuminate\Foundation\Application::resourcePath();
-        }
-        
-        /**
          * Get the path to the environment file directory.
          *
          * @return string 
@@ -244,18 +234,9 @@ namespace {
         }
         
         /**
-         * Get the fully qualified path to the environment file.
-         *
-         * @return string 
-         * @static 
-         */
-        public static function environmentFilePath(){
-            return \Illuminate\Foundation\Application::environmentFilePath();
-        }
-        
-        /**
          * Get or check the current application environment.
          *
+         * @param mixed
          * @return string|bool 
          * @static 
          */
@@ -1044,13 +1025,13 @@ namespace {
         /**
          * Set the shared instance of the container.
          *
-         * @param \Illuminate\Contracts\Container\Container|null $container
-         * @return static 
+         * @param \Illuminate\Contracts\Container\Container $container
+         * @return void 
          * @static 
          */
-        public static function setInstance($container = null){
+        public static function setInstance($container){
             //Method inherited from \Illuminate\Container\Container            
-            return \Illuminate\Foundation\Application::setInstance($container);
+            \Illuminate\Foundation\Application::setInstance($container);
         }
         
         /**
@@ -1134,31 +1115,6 @@ namespace {
         }
         
         /**
-         * Register a Closure based command with the application.
-         *
-         * @param string $signature
-         * @param \Closure $callback
-         * @return \Illuminate\Foundation\Console\ClosureCommand 
-         * @static 
-         */
-        public static function command($signature, $callback){
-            //Method inherited from \Illuminate\Foundation\Console\Kernel            
-            return \Portal\Console\Kernel::command($signature, $callback);
-        }
-        
-        /**
-         * Register the given command with the console application.
-         *
-         * @param \Symfony\Component\Console\Command\Command $command
-         * @return void 
-         * @static 
-         */
-        public static function registerCommand($command){
-            //Method inherited from \Illuminate\Foundation\Console\Kernel            
-            \Portal\Console\Kernel::registerCommand($command);
-        }
-        
-        /**
          * Run an Artisan console command by name.
          *
          * @param string $command
